Default applications in Kubuntu 18.04 LTS
Open, Needs TriagePublic

Description

Let me introduce myself first. I am a member of KDE Promo group and the guy behind Plasma release videos. I was also involved in making Kubuntu 15.10 release video.
http://www.kubuntu.org/news/kubuntu-15-10/

Given the recent changes in the Ubuntu I think that Kubuntu have a great opportunity to become more visible. One of the ways to do this is by shipping high quality applications. This task is only meant to spark a discussion.

Music player
Amarok - no longer maintained, no port to kf5. -- //REMOVED//

Alternatives:
Babe: https://phabricator.kde.org/source/babe/
Elisa: https://phabricator.kde.org/project/view/193/
Cantata: https://github.com/CDrummond/cantata -- ON BETA ISO
Qmmp: http://qmmp.ylsoftware.com/
Clementine: https://github.com/clementine-player/Clementine

IM client
KDE telepathy - unmaintained -- //REMOVED//
http://martys.typepad.com/blog/2016/06/new-maintainers-wanted-kde-telepathy-kaccounts-plasma-notifications-and-others.html
As a matter of fact it seems that Empathy and telepathy are in similar situation.
https://mail.gnome.org/archives/release-team/2015-April/msg00050.html
Telepathy doesn't work with most most popular chat protocols which are mostly closed nowadays.
The only alternative I can think of is Telegram which is quite popular among KDE users (open source client, closed server side)

Torrent client -- KTorrent KF5 installed

Video player -- VLC Installed
VLC - http://www.videolan.org/

KDE PIM

KDE PIM or to be more precise KMail is perceived by some of our users as too complicated. Given the fact that more and more users are using web clients shipping KDE PIM by default is questionable. Alternatively Trojita http://trojita.flaska.net/download.html may be a better choice.
Of course this is very subjective opinion.

I know that some of these applications aren't strictly under KDE umbrella, however we should be pragmatic and choose the best application in each category, as long as they integrate with Plasma desktop.
As I said earlier this task is only meant to spark a discussion so any comment/opinions welcome.

Lucas created this task.Jun 16 2017, 2:17 PM

Thank you Lucas.

I certainly want to visit and review much of this over the artful release cycle. We have a couple of months until feature freeze deadline, so hopefully we can thrash out much of this and get action by then.

Torrent client
Ktorrent: https://phabricator.kde.org/source/ktorrent/
version in Kubuntu still uses KDE4 libs, however there seem to be kf5 port available
http://shaforostoff.blogspot.com/2015/11/ktorrent-kf5-port.html but kf5 branch isn't too active
https://phabricator.kde.org/source/ktorrent/browse/5.0/
Is it even merged?

Ktorrent has a 5.0 KF5 branch here:

https://cgit.kde.org/ktorrent.git/log/?h=5.0

with released tarballs @ https://download.kde.org/stable/ktorrent/5.0/

however KF5 development seems to have switched back to the master branch, which is getting recent and frequent changes

https://cgit.kde.org/ktorrent.git/log/

Both branches have builds in our KCI, based on initial debian packaging of the KF5 branches

https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent

e.g. https://launchpad.net/~kubuntu-ci/+archive/ubuntu/unstable/+packages?field.name_filter=ktorrent&field.status_filter=published&field.series_filter=

So I am of a mind to ship this is 17.10 in some form, from whichever branc seems best.

It is a question of:

  • which branch, and will a new release tarball be made we can use? or do we go with a git snapahot.
  • do we renamed library packages for Kf5 conventions. Debian have not in their initial packaging, but their progress stalled some time ago at an early stage.
rikmills added a comment.EditedJun 16 2017, 2:51 PM

Telepathy:

I want to remove this from our iso & default until is ported and/or fixed. I know others are not too keen on this, but it is getting to an embarrassing stage to have that front and centre on the iso and default install.

Video player:

I can't honestly see why we would not go with VLC. It is universally useful and familiar to Linux and users of other OS, so seems like a no-brainer.

I use smplayer mostly, as I happen to like that more, but the upstream has recently switched back to KDE/Qt4 builds as they had to many issues on Qt5. :(

clivej added a subscriber: clivej.Jun 16 2017, 6:49 PM

Music player
This is on our radar and we have had a number of discussions about dropping Amarok. This is not a popular option for many or our users and/or some influential Kubuntu members. At the moment we are keeping an eye on Babe and Elisa, but so far neither are at the level to be a replacement for Amarok on the ISO.

Telepathy

Yes, this is badly broken, but I do think that if a bit of attention was paid towards it, that it could be got working. It needs https://github.com/TelepathyIM/telepathy-morse in order to connect Telegram accounts to it. I have been running the KCI version of this and it does work. It also worked for Google Hangouts and AOL IM both of which I had working recently. However, I do agree with Rik that maybe we should remove it from the default install and add it back when it works.

Torrent client
KTorrent has been ported to KF5 and has been uploaded to Kubuntu 17.10 (Artful), I'm not sure if it is on the ISO. I have it installed locally and it does appear to work.

Video player
I do agree that maybe VLC should be our default player in Kubuntu 17.10, it is well known and works.

KDE PIM
This is very much a love/hate relationship for me. I make use of Kontact very much so and whilst it has had its problems, I do think its worth sticking with. We did put a bit of effort into trying to stop certain components of PIM auto starting and therefore using up system resources in 17.04. We should maybe review this in 17.10 and make sure nothing is autostarted without the user doing so. We are also keeping an eye on Trojita, but at the moment it is not ready for everyday use IMO.

KDE Promo
It was decided to try and make an effort to get the community more involved in Artful (17.10). One idea was to hold a wallpaper contest. https://www.flickr.com/groups/kubuntu-cws-1710/ Would this be something you could help with? Also, would you be willing to do some videos of Kubuntu? I would personally like to see more community involvement and even user feedback being taken on board. There are some papercuts which really bug some of our users, if we could fix some of these if would help.

Lucas added a comment.Jun 16 2017, 9:39 PM
In T6350#98119, @clivej wrote:

Music player
This is on our radar and we have had a number of discussions about dropping Amarok. This is not a popular option for many or our users and/or some influential Kubuntu members. At the moment we are keeping an eye on Babe and Elisa, but so far neither are at the level to be a replacement for Amarok on the ISO.

What about Cantata? I know that Manjaro and PCLinuxOS ship it by default. As a matter of fact some time ago there was a thread on plasma-devel Which applications does the Plasma team recommend to use with Plasma? https://mail.kde.org/pipermail/plasma-devel/2016-July/055497.html and Cantata seems to be quite popular choice among Plasma developers. However that thread ended without any final conclusions. I also know that Babe is quite popular among some Kubuntu developers.

Telepathy
Yes, this is badly broken, but I do think that if a bit of attention was paid towards it, that it could be got working. It needs https://github.com/TelepathyIM/telepathy-morse in order to connect Telegram accounts to it. I have been running the KCI version of this and it does work. It also worked for Google Hangouts and AOL IM both of which I had working recently. However, I do agree with Rik that maybe we should remove it from the default install and add it back when it works.

Yeah I kind of agree here. Even Empathy (GNOME Telepathy client) was removed from Fedora some time ago https://eischmann.wordpress.com/2015/04/19/instant-messaging-in-fedora-workstation/

KDE Promo
It was decided to try and make an effort to get the community more involved in Artful (17.10). One idea was to hold a wallpaper contest. https://www.flickr.com/groups/kubuntu-cws-1710/ Would this be something you could help with?

Well I can post some info about the contest on our (KDE) social channels (Facebook and G+)

Also, would you be willing to do some videos of Kubuntu?

Yes I can help you with that.

I would personally like to see more community involvement and even user feedback being taken on board. There are some papercuts which really bug some of our users, if we could fix some of these if would help.

Actually we can make a survey, so users can decide what application they want to see by default. Choice should be limited, something like:

Which music app would you like to see installed by default in Kubuntu 17.10?
-Babe
-Cantata

This is just an example.

In T6350#98119, @clivej wrote:

Torrent client
KTorrent has been ported to KF5 and has been uploaded to Kubuntu 17.10 (Artful), I'm not sure if it is on the ISO. I have it installed locally and it does appear to work.

To be clear there, builds from the 5.0 and master branch (both KF5) are in KCI ppa for artful, not the ubuntu archive. The version in the ubuntu main archive is still KDE4 sync from debian.

It seems that Qt5 branch of Clementine is going to be merged to master soon, maybe it's worth keeping an eye on it.

It seems that Qt5 branch of Clementine is going to be merged to master soon, maybe it's worth keeping an eye on it.

Any ETA on that?

In T6350#98279, @clivej wrote:

It seems that Qt5 branch of Clementine is going to be merged to master soon, maybe it's worth keeping an eye on it.

Any ETA on that?

I don't think there's one, but judging from what i tried the port looks pretty stable and shouldn't take long.

Video Player
VLC works for me so has my vote.

Music Player
I'm voting on babe-qt but if clementine has a Qt5 and it's in the archives already so has less work to get in.

Do we want to change any of these default for the Alpha?

Dragonplayer -> VLC ?

Amarok -> cantata ? (not sure on that)

If so, then would be advisable to do soon, so we have a few days of daily isos being produced before the alpha, to check the changes don't introduce anything unwanted.

Do we want to change any of these default for the Alpha?

I guess not.

Sorry to have missed this discussion. Have we missed the chance to do these changes already? At least Dragonplayer -> VLC seems a no-brainer.

Oh, and removing KDE-Telepathy should be done if we're not giving people a working client now. I've not been able to get it to work in Zesty. I plan on upgrading to the alpha once it is released.

I've already removed amarok and telepathy off the iso

VLC = in
Dragonplayer = out

http://bazaar.launchpad.net/~kubuntu-dev/ubuntu-seeds/kubuntu.artful/revision/1374

https://launchpad.net/ubuntu/+source/kubuntu-meta/1.351

(PIM changes are result of some of those no longer existing on arm64 and ppc64el)

Now Muon works a lot better, how about adding that back into our default selection?

+1 for adding Muon package manager back

Lucas added a comment.Jun 28 2017, 9:56 AM
In T6350#98931, @clivej wrote:

I've already removed amarok (...)

For the last few days I have been testing different Qt 5music players and I was positively surprised by Cantata. It is a feature-rich, customizable and very stable music player (great ratio of open/closed issues on github). It integrates nicely with Plasma desktop. Here is a few screenshots http://imgur.com/a/Rv6MX

Now Muon works a lot better, how about adding that back into our default selection?

+1

KDE PIM

KDE PIM or to be more precise KMail is perceived by some of our users as too complicated. Given the fact that more and more users are using web clients shipping KDE PIM by default is questionable. Alternatively Trojita http://trojita.flaska.net>/download.html may be a better choice.
Of course this is very subjective opinion.

I would favour dropping PIM off the defaults, even if no KDE replacement is there.

It is

  • a hog in system resources
  • obsoleted by many web based options
  • a complete PITA to maintain in packaging, which I have honestly more or less run out of patience with.

I would back you on this, there has been huge changes to PIM over this past few months and despite being a huge fan and user of PIM, I can see the point of our many users who do not use it, nor want to. So why do we force them having it installed by default, taking up valuable resources.

On the other side, I do think we need some more documentation for users on how all these KDE applications work. PIM is a bit of a learning curve (the idea of identities, sending and receiving accounts etc) this should probably be done upstream.

I assume it is too late for this release, but Qupzilla has been accepted into the KDE Incubator as Falkon: https://community.kde.org/Incubator/Projects/Falkon

clivej renamed this task from Default applications in Kubuntu 17.10 to Default applications in Kubuntu 18.04 LTS.Nov 1 2017, 3:09 PM
clivej added a comment.Nov 1 2017, 3:13 PM

Thank you to @Lucas for the great work on the Kubuntu 17.10 release video. There are lots of comments coming in from all over saying it is wonderful to see.

Hopefully with help from people like Lucas we can make Bionic 18.04 even better :)

can someone please explain why you need a separate audio player? VLC can play virtually any audio and it does the job well. i think VLC makes a perfect default player for both video and audio. no, it can't satisfy everybody and no player can, but Kubuntu users have so many options which can cater to their particular needs.

Another option might be to ship PIM on LTS releases, as business/institutions etc are more likely to use those, but excluded it from our interim isos. Make our releases with support for 9 months more lightweight ones.

clivej removed a subscriber: clivej.Thu, Dec 21, 6:54 PM